Subject: [Sdn] Last call for http://www.ietf.org/id/draft-haleplidis-sdnrg-layer-terminology-07.txt

From: David Meyer <[email-masked]>
Date: Fri, 1 Aug 2014 11:50:19 -0700

Folks,

As you may have see a new version of
draft-haleplidis-sdnrg-layer-terminology [0] has been posted which
incorporates comments from the list and from Toronto.  I want to start a
"Last Call" for this document that will end at 1700 PDT on 08.15.2014.
Please have a look at the document and forward comments to the list

Thanks,

--dmm

[0] http://www.ietf.org/id/draft-haleplidis-sdnrg-layer-terminology-07.txt

---

From: Dimitri Staessens <[email-masked]>
Date: Mon, 04 Aug 2014 12:41:22 +0200

Hi guys,

some comments on the BFD section 4.7. Aplogies if some of this sounds like
nitpicking, but this is a terminology document after all:

     ... between two forwarding elements <which are directly connected>.

RFC 5880 states "adjacent" and I'd use that term here as well:

     ... between two adjacent forwarding elements.

directly connected may be misinterpreted to meaning they have a direct
physical interconnection.

Then the sentence

     BFD provides low-overhead detection of faults even on physical media
     that do not support failure detection of any kind, such as Ethernet,
     virtual circuits, tunnels and MPLS Label Switched Paths.

contains a lot of dubious statements. Virtual circuits, tunnels and 
LSP's can
are not really "physical media". I would also remove the mention of
Ethernet. I'm not aware of BFD that runs directly over Ethernet and can 
detect
errors between Ethernet interfaces/switches (unless there is a version 
that I'm
not aware of, in which case I do apologise).

Suggestion:

     BFD provides a low-overhead solution for (end-to-end) detection of 
failures,
     even over technologies that have no or limited support to do so, 
such as
     virtual circuits, various L3/L4 tunnels and MPLS LSPs.

Also note that BFD for MPLS is a different standard (RFC5884) than the one
referenced.

The last sentence (point 2.) doesn't completely sound "right" to me (but 
that can
be me). Maybe we can just remove the subjective statement there:

     2. As an application that runs on the device itself and uses the
     forwarding plane to send/receive BFD packets and update the 
operational
     plane resources accordingly.

best wishes,

Dimitri

David Meyer schreef op 8/1/2014 8:50 PM:
> incorporates comments from the list and from Toronto.  I want to start 
> a "Last Call" for this document that will end at 1700 PDT on 
> 08.15.2014. Please have a look at the document and forward comments to 
> the list
>
> Thanks,
>
> --dmm
>
>
> _______________________________________________
> sdn mailing list
> [email-masked]
> https://www.irtf.org/mailman/listinfo/sdn

-- 
Dimitri Staessens
Department of Information Technology
Broadband Communication Networks (IBCN)
Ghent University - iMinds
Gaston Crommenlaan 8 (Bus 201), B-9050 Gent, Belgium
T: +32 472 18 72 48; T Secr: +32 9 33 14900
F: +32 9 33 14899
Skype: dstaesse
E: [email-masked]
W : www.ibcn.intec.UGent.be // www.iminds.be

---

From: Dimitri Staessens <[email-masked]>
Date: Tue, 05 Aug 2014 19:43:25 +0200

Hi guys,

had a thorough read of the document. First of all, I'd like to commend 
the authors on the
work on this nice  document, which is as audacious in scope as it is 
relevant in time.

Some suggestions up to section 2, which could be implemented to further
improve the document:

Abstract:
. remove comma's:
     ...for SDNRG in particular, and the SDN community in general,
     based on relevant peer-reviewed literature and documents
     in the RFC series.

Section 2:
. Software-Defined Networking (SDN) - A programmable networks
       approach
->  would it be wrong to say "any programmable networks approach"?

. Definition of interface could use some tweaking. Is a software API really
"a point of interaction between two entities"? I think this could mention
Object Request Brokers (ORBs) for distributed systems ("a network protocol"
is very broad). IPC for a single system (I'd use on the same/a single 
system instead of
"same physical location") should be mentioned too (maybe instead of API, 
I'm not
sure an API qualifies here).

. Definition of Application: This definition needs a bit more work. "An 
application in
the context of SDN is a piece of software that utilizes underlying 
services to perform
  a function." This is really saying everything and nothing. What are 
the underlying services?
  What function? I would not use "piece of software" but rather 
"program" (meaning that at
least it executes and halts).

. Why are the forwarding plane and operational plane "parts of the 
network device" and the control
and management planes "part of the network functionalities"?

Why not define them as a "collection of functions"? E.g.

Forwarding plane (FP): the collection of functions across all network 
devices, usually implemented
in hardware, that are responsible for forwarding traffic.

Operational plane (OP): the collection of functions, usually implemented
in software, that are responsible for managing the overall operation of 
individual network devices.
Sidenote: Maybe this can be classified as a subset of the management 
plane. But
I can certainly find myself in Kostas' arguments to having an 
"Operational plane".

Control plane (CP): the collection of functions responsible for 
controlling one or more
network devices. CP instructs network devices with respect to how to 
process and
forward packets. The control plane interacts primarily with the 
forwarding plane
and to a lesser extent with the operational plane. It is usually 
implemented in software, and can
be implemented as a logically centralized entity or a distributed system.

Management plane (MP): the collection of network functions
responsible for monitoring, configuring and maintaining one or
  more network devices.  The management plane is mostly related with
  the operational plane and less with the forwarding plane.

Remark: <configuring> in the MP definition may still be a bit ambiguous. 
The demarcation
between CP and MP should be crystal clear.

Thought: Why is there no Operational Abstraction Layer (OAL)?

take care,

Dimitri

---

From: Dave Hood <[email-masked]>
Date: Wed, 6 Aug 2014 00:14:30 +0000

I would encourage the community to review and incorporate the concepts of https://www.opennetworking.org/images/stories/downloads/sdn-resources/technical-reports/TR_SDN_ARCH_1.0_06062014.pdf

Dave

From: sdn [mailto:[email-masked]] On Behalf Of David Meyer
Sent: Friday, August 01, 2014 11:50 AM
To: SDN IRTF list
Subject: [Sdn] Last call for http://www.ietf.org/id/draft-haleplidis-sdnrg-layer-terminology-07.txt

Folks,

As you may have see a new version of draft-haleplidis-sdnrg-layer-terminology [0] has been posted which incorporates comments from the list and from Toronto.  I want to start a "Last Call" for this document that will end at 1700 PDT on 08.15.2014. Please have a look at the document and forward comments to the list

Thanks,

--dmm

---

From: Robert Raszuk <[email-masked]>
Date: Wed, 6 Aug 2014 09:35:56 +0200

Sorry but "incorporate the concepts" in what ? And what novel
"concepts" ? Leave alone their substance for now ....

IETF and IRTF WGs work on the basis of drafts. Is there a draft
document you are proposing here ? Did you submit some new SDN related
concept to this WG as an individual submission yet ?

Otherwise I am afraid providing 64 pages of abstract text which main
goal is to state that SDN = ONF is not that helpful.

Best,
R.

On Wed, Aug 6, 2014 at 2:14 AM, Dave Hood <[email-masked]> wrote:
> I would encourage the community to review and incorporate the concepts of
> https://www.opennetworking.org/images/stories/downloads/sdn-resources/technical-reports/TR_SDN_ARCH_1.0_06062014.pdf
>
>
>
> Dave
>
>
>
> Subject: [Sdn] Last call for
> http://www.ietf.org/id/draft-haleplidis-sdnrg-layer-terminology-07.txt
>
>
>
> Folks,
>
>
>

---

From: "Varma, Eve L (Eve)" <[email-masked]>
Date: Wed, 6 Aug 2014 12:06:09 +0000

Dear all,

Given the proposal for a Last Call, and the intent expressed in the introduction "This document addresses the work item in the SDNRG charter named "Survey of SDN approaches and Taxonomies", fostering better understanding of prominent SDN technologies in a technology-impartial and business-agnostic manner.", it is reasonable to consider the architectural concepts in the SDN Architecture document that Dave cited.  A read of this document will clearly illustrate that its intent is far from trying to indicate that SDN=ONF.
 
I note that you have cited [ONFArch]  Open Networking Foundation, "SDN Architecture Overview", December 2013, as one of the references in the draft.  However, the document Dave cited is more recent and provides a more rigorous treatment of the architecture, including associated terminology.  IMHO, at minimum, it should be included in the list of references, and the taxonomy be considered prior to last call.

With best regards,
Eve

-----Original Message-----
From: sdn [mailto:[email-masked]] On Behalf Of Robert Raszuk
Sent: Wednesday, August 06, 2014 3:36 AM
To: Dave Hood
Cc: David Meyer; SDN IRTF list
Subject: Re: [Sdn] Last call for http://www.ietf.org/id/draft-haleplidis-sdnrg-layer-terminology-07.txt

Sorry but "incorporate the concepts" in what ? And what novel "concepts" ? Leave alone their substance for now ....

IETF and IRTF WGs work on the basis of drafts. Is there a draft document you are proposing here ? Did you submit some new SDN related concept to this WG as an individual submission yet ?

Otherwise I am afraid providing 64 pages of abstract text which main goal is to state that SDN = ONF is not that helpful.

Best,
R.

On Wed, Aug 6, 2014 at 2:14 AM, Dave Hood <[email-masked]> wrote:
> https://www.opennetworking.org/images/stories/downloads/sdn-resources/
> technical-reports/TR_SDN_ARCH_1.0_06062014.pdf
>
>
>
> Dave
>
>
>
> a "Last Call" for this document that will end at 1700 PDT on 08.15.2014.
> [0]

---

From: Jamal Hadi Salim <[email-masked]>
Date: Wed, 6 Aug 2014 08:30:38 -0400

I think we would be intellectually dishonest if we dont reference a document
that is known to exist. We should reference the document.

However, the document is extremely ONF biased and while doesnt proclaim
non-existence(as is the tradition of ONF[1]) of other approaches, it
gives them very
low profile and doesnt cover the whole range covered by the draft. It is amusing
that some of the folks contributing to that document show up at the IETF and
SDNRG and never once commented on the current draft document.

cheers,
jamal

[1]Which is a *members only marketing organization* with an agenda to promote
technologies around OF.
According to Dan Pitt the only southbound protocol that has been standardized
is OF.

---

From: Robert Raszuk <[email-masked]>
Date: Wed, 6 Aug 2014 14:36:48 +0200

I am not sure if other approches in the view of ONF are low or high profile.

But I am sure they are all considered  LEGACY ;)))

R.
On Aug 6, 2014 2:31 PM, "Jamal Hadi Salim" <[email-masked]> wrote:

> > Given the proposal for a Last Call, and the intent expressed in the
> introduction "This document addresses the work item in the SDNRG charter
> named "Survey of SDN approaches and Taxonomies", fostering better
> understanding of prominent SDN technologies in a technology-impartial and
> business-agnostic manner.", it is reasonable to consider the architectural
> concepts in the SDN Architecture document that Dave cited.  A read of this
> document will clearly illustrate that its intent is far from trying to
> indicate that SDN=ONF.
> >
> > I note that you have cited [ONFArch]  Open Networking Foundation, "SDN
> Architecture Overview", December 2013, as one of the references in the
> draft.  However, the document Dave cited is more recent and provides a more
> rigorous treatment of the architecture, including associated terminology.
>  IMHO, at minimum, it should be included in the list of references, and the
> taxonomy be considered prior to last call.
> >
> > With best regards,
> > Eve
> >
> > Subject: Re: [Sdn] Last call for
> > Sorry but "incorporate the concepts" in what ? And what novel "concepts"
> ? Leave alone their substance for now ....
> >
> > IETF and IRTF WGs work on the basis of drafts. Is there a draft document
> you are proposing here ? Did you submit some new SDN related concept to
> this WG as an individual submission yet ?
> >

---

From: Jamal Hadi Salim <[email-masked]>
Date: Wed, 6 Aug 2014 08:41:47 -0400

Well, if it doesnt use OF it is CRAP[1].

cheers,
jamal

[1]http://www.dailymotion.com/video/xgzfxs_if-it-s-not-scottish-it-s-crap_shortfilms

On Wed, Aug 6, 2014 at 8:36 AM, Robert Raszuk <[email-masked]> wrote:
>> > you are proposing here ? Did you submit some new SDN related concept to this
>> > WG as an individual submission yet ?
>> >
>> >> 08.15.2014.

---

From: "Varma, Eve L (Eve)" <[email-masked]>
Date: Wed, 6 Aug 2014 13:30:09 +0000

I would suggest to focus examination of the document towards its technical content - entering into a debate re whether or not the material is ONF biased is subjective (as we can see from the differences in opinion expressed in the discussion to date).

Best regards,
Eve

-----Original Message-----
From: sdn [mailto:[email-masked]] On Behalf Of Jamal Hadi Salim
Sent: Wednesday, August 06, 2014 8:31 AM
To: Varma, Eve L (Eve)
Cc: David Meyer; SDN IRTF list; Dave Hood; Robert Raszuk
Subject: Re: [Sdn] Last call for http://www.ietf.org/id/draft-haleplidis-sdnrg-layer-terminology-07.txt

I think we would be intellectually dishonest if we dont reference a document that is known to exist. We should reference the document.

However, the document is extremely ONF biased and while doesnt proclaim non-existence(as is the tradition of ONF[1]) of other approaches, it gives them very low profile and doesnt cover the whole range covered by the draft. It is amusing that some of the folks contributing to that document show up at the IETF and SDNRG and never once commented on the current draft document.

cheers,
jamal

[1]Which is a *members only marketing organization* with an agenda to promote technologies around OF.
According to Dan Pitt the only southbound protocol that has been standardized is OF.

On Wed, Aug 6, 2014 at 8:06 AM, Varma, Eve L (Eve) <[email-masked]> wrote:
>> https://www.opennetworking.org/images/stories/downloads/sdn-resources
>> / technical-reports/TR_SDN_ARCH_1.0_06062014.pdf
>>
>>
>>
>> Dave
>>
>>
>>
>> incorporates comments from the list and from Toronto.  I want to 
>> start a "Last Call" for this document that will end at 1700 PDT on 08.15.2014.

---

From: Dave Hood <[email-masked]>
Date: Wed, 6 Aug 2014 13:31:18 +0000

I am in no position to speak on behalf of ONF, but I can assure you that the architecture does not presuppose anything unique to ONF. Please read it before jumping to conclusions.

Dave

-----Original Message-----
From: Jamal Hadi Salim [mailto:[email-masked]] 
Sent: Wednesday, August 06, 2014 5:42 AM
To: Robert Raszuk
Cc: Varma, Eve L (Eve); SDN IRTF list; David Meyer; Dave Hood
Subject: Re: [Sdn] Last call for http://www.ietf.org/id/draft-haleplidis-sdnrg-layer-terminology-07.txt

cheers,
jamal

On Wed, Aug 6, 2014 at 8:36 AM, Robert Raszuk <[email-masked]> wrote:
>> I think we would be intellectually dishonest if we dont reference a 
>> document that is known to exist. We should reference the document.
>>
>> However, the document is extremely ONF biased and while doesnt 
>> proclaim non-existence(as is the tradition of ONF[1]) of other 
>> approaches, it gives them very low profile and doesnt cover the whole 
>> range covered by the draft. It is amusing that some of the folks 
>> contributing to that document show up at the IETF and SDNRG and never 
>> once commented on the current draft document.
>>
>> cheers,
>> jamal
>>
>> > introduction "This document addresses the work item in the SDNRG 
>> > charter named "Survey of SDN approaches and Taxonomies", fostering 
>> > better understanding of prominent SDN technologies in a 
>> > technology-impartial and business-agnostic manner.", it is 
>> > reasonable to consider the architectural concepts in the SDN 
>> > Architecture document that Dave cited.  A read of this document 
>> > will clearly illustrate that its intent is far from trying to indicate that SDN=ONF.
>> >
>> > I note that you have cited [ONFArch]  Open Networking Foundation, 
>> > "SDN Architecture Overview", December 2013, as one of the 
>> > references in the draft.  However, the document Dave cited is more 
>> > recent and provides a more rigorous treatment of the architecture, including associated terminology.
>> > IMHO, at minimum, it should be included in the list of references, 
>> > and the taxonomy be considered prior to last call.
>> >
>> > With best regards,
>> > Eve
>> >
>> > document you are proposing here ? Did you submit some new SDN 
>> > related concept to this WG as an individual submission yet ?
>> >
>> > Otherwise I am afraid providing 64 pages of abstract text which 
>> > main goal is to state that SDN = ONF is not that helpful.
>> >
>> > Best,
>> > R.
>> >
>> >
>> >
>> >> https://www.opennetworking.org/images/stories/downloads/sdn-resour
>> >> ces/ technical-reports/TR_SDN_ARCH_1.0_06062014.pdf
>> >>
>> >>
>> >>
>> >> Dave
>> >>
>> >>
>> >>

---

From: David Meyer <[email-masked]>
Date: Wed, 6 Aug 2014 06:41:21 -0700

> taxonomy be considered prior to last call.

I'm sure we can change to that citation if you folks think its more
recent/relevant.

--dmm

> Otherwise I am afraid providing 64 pages of abstract text which main goal
> is to state that SDN = ONF is not that helpful.
>
> Best,
> R.
>
>
>

---

From: David Meyer <[email-masked]>
Date: Wed, 6 Aug 2014 08:24:54 -0700

On Wed, Aug 6, 2014 at 6:30 AM, Varma, Eve L (Eve) <
[email-masked]> wrote:

> I would suggest to focus examination of the document towards its technical
> content - entering into a debate re whether or not the material is ONF
> biased is subjective (as we can see from the differences in opinion
> expressed in the discussion to date).
>

Folks need also to realize the deep and fundamental differences between an
open participation organization like the I{E,R}TF and the ONF. The ONF is
pay-to-play, which means among other things that information flow is by
definition uni-directional. In particular, information can flow the ONF to
the I{E,R}TF (cf your comments above), in those cases in which ONF members
are interested in commenting (just like anyone else), but not the other
way. As a result, I{E,R}TF participants have no means in which to provide
input to the document(s) you cite. This is a crucial distinction and one
that goes to the core of how the I{E,R}TF operates and how we build
documents (and for that matter, how we self-govern).

That said, I don't mind citing the ONF's most recent work as opposed to the
citation we currently have if you folks think that is more appropriate.
I'll just mention that there is an  issue with the stability of a citation
like [0] in a document that we are standing up as an Informational RFC, so
we need to look at that.

--dmm

[0]

> non-existence(as is the tradition of ONF[1]) of other approaches, it gives
> them very low profile and doesnt cover the whole range covered by the
> draft. It is amusing that some of the folks contributing to that document
> show up at the IETF and SDNRG and never once commented on the current draft
> document.
>
> cheers,
> jamal
>

---

From: "Ken Gray (kegray)" <[email-masked]>
Date: Wed, 6 Aug 2014 15:34:13 +0000

+1 on the fundamental distinction and it's importance

From: David Meyer <[email-masked]<mailto:[email-masked]>>
Date: Wednesday, August 6, 2014 11:24 AM
To: "Varma, Eve L (Eve)" <[email-masked]<mailto:[email-masked]>>
Cc: SDN IRTF list <[email-masked]<mailto:[email-masked]>>, Dave Hood <[email-masked]<mailto:[email-masked]>>, Robert Raszuk <[email-masked]<mailto:[email-masked]>>, Jamal Hadi Salim <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Sdn] Last call for http://www.ietf.org/id/draft-haleplidis-sdnrg-layer-terminology-07.txt

On Wed, Aug 6, 2014 at 6:30 AM, Varma, Eve L (Eve) <[email-masked]<mailto:[email-masked]>> wrote:
I would suggest to focus examination of the document towards its technical content - entering into a debate re whether or not the material is ONF biased is subjective (as we can see from the differences in opinion expressed in the discussion to date).

Folks need also to realize the deep and fundamental differences between an open participation organization like the I{E,R}TF and the ONF. The ONF is pay-to-play, which means among other things that information flow is by definition uni-directional. In particular, information can flow the ONF to the I{E,R}TF (cf your comments above), in those cases in which ONF members are interested in commenting (just like anyone else), but not the other way. As a result, I{E,R}TF participants have no means in which to provide input to the document(s) you cite. This is a crucial distinction and one that goes to the core of how the I{E,R}TF operates and how we build documents (and for that matter, how we self-govern).

That said, I don't mind citing the ONF's most recent work as opposed to the citation we currently have if you folks think that is more appropriate. I'll just mention that there is an  issue with the stability of a citation like [0] in a document that we are standing up as an Informational RFC, so we need to look at that.

--dmm

[0] https://www.opennetworking.org/images/stories/downloads/sdn-resources/technical-reports/TR_SDN_ARCH_1.0_06062014.pdf

Best regards,
Eve

-----Original Message-----
From: sdn [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of Jamal Hadi Salim
Sent: Wednesday, August 06, 2014 8:31 AM
To: Varma, Eve L (Eve)
Cc: David Meyer; SDN IRTF list; Dave Hood; Robert Raszuk
Subject: Re: [Sdn] Last call for http://www.ietf.org/id/draft-haleplidis-sdnrg-layer-terminology-07.txt

cheers,
jamal

On Wed, Aug 6, 2014 at 8:06 AM, Varma, Eve L (Eve) <[email-masked]<mailto:[email-masked]>> wrote:
> From: sdn [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of Robert Raszuk
> On Wed, Aug 6, 2014 at 2:14 AM, Dave Hood <[email-masked]<mailto:[email-masked]>> wrote:
>> From: sdn [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of David Meyer
>> [email-masked]<mailto:[email-masked]>
> [email-masked]<mailto:[email-masked]>
> [email-masked]<mailto:[email-masked]>

_______________________________________________
sdn mailing list
[email-masked]<mailto:[email-masked]>
https://www.irtf.org/mailman/listinfo/sdn

---

From: Kostas Pentikousis <[email-masked]>
Date: Wed, 6 Aug 2014 17:37:33 +0200

Dear Dimitri, all,

Many thanks for the review and the thoughtful comments. Much appreciated. It should be straightforward to address them in the next revision, along with the rest of the comments on the list till the end of the LC.

Best regards,

Kostas

Von: Dimitri Staessens [mailto:[email-masked]]
Gesendet: Dienstag, 5. August 2014 19:43
An: [email-masked]
Betreff: Re: [Sdn] Last call for http://www.ietf.org/id/draft-haleplidis-sdnrg-layer-terminology-07.txt

Hi guys,

had a thorough read of the document. First of all, I'd like to commend the authors on the
work on this nice  document, which is as audacious in scope as it is relevant in time.

<snip>

---

From: David Meyer <[email-masked]>
Date: Wed, 6 Aug 2014 08:38:29 -0700

On Wed, Aug 6, 2014 at 8:37 AM, Kostas Pentikousis <[email-masked]>
wrote:

> Dear Dimitri, all,
>
>
>
> Many thanks for the review and the thoughtful comments. Much appreciated.
> It should be straightforward to address them in the next revision, along
> with the rest of the comments on the list till the end of the LC.
>

Ditto, thx Dimitri/all.

--dmm

>
>
> Best regards,
>
>
>
> Kostas
>
>
>
>
>
> *Von:* Dimitri Staessens [mailto:[email-masked]]
> *Gesendet:* Dienstag, 5. August 2014 19:43
> *An:* [email-masked]
> *Betreff:* Re: [Sdn] Last call for

---

From: "Varma, Eve L (Eve)" <[email-masked]>
Date: Wed, 6 Aug 2014 16:59:51 +0000

Dear all,

Just a very quick comment - a number of organizations are also pay to play (e.g., ITU-T, IEEE, OIF, etc.) for which there are IETF liaison relationships where bi-directional commenting on documents has taken place to mutual benefit.  I'm not aware of any inherent reason why this could not also be done with the ONF.

With best regards,
Eve

From: Ken Gray (kegray) [mailto:[email-masked]]
Sent: Wednesday, August 06, 2014 11:34 AM
To: David Meyer; Varma, Eve L (Eve)
Cc: SDN IRTF list; Dave Hood; Robert Raszuk; Jamal Hadi Salim
Subject: Re: [Sdn] Last call for http://www.ietf.org/id/draft-haleplidis-sdnrg-layer-terminology-07.txt

--dmm

Best regards,
Eve

-----Original Message-----
From: sdn [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of Jamal Hadi Salim
Sent: Wednesday, August 06, 2014 8:31 AM
To: Varma, Eve L (Eve)
Cc: David Meyer; SDN IRTF list; Dave Hood; Robert Raszuk
Subject: Re: [Sdn] Last call for http://www.ietf.org/id/draft-haleplidis-sdnrg-layer-terminology-07.txt

cheers,
jamal

---

From: David Meyer <[email-masked]>
Date: Wed, 6 Aug 2014 10:06:23 -0700

On Wed, Aug 6, 2014 at 9:59 AM, Varma, Eve L (Eve) <
[email-masked]> wrote:

>  Dear all,
>
>
>
> Just a very quick comment – a number of organizations are also pay to play
> (e.g., ITU-T, IEEE, OIF, etc.) for which there are IETF liaison
> relationships where bi-directional commenting on documents has taken place
> to mutual benefit.  I’m not aware of any inherent reason why this could not
> also be done with the ONF.
>

The IRTF is not a standards making organization.

--dmm

>
>
> With best regards,
>
> Eve
>
>
>
> *From:* Ken Gray (kegray) [mailto:[email-masked]]
> *Sent:* Wednesday, August 06, 2014 11:34 AM
> *To:* David Meyer; Varma, Eve L (Eve)
> *Cc:* SDN IRTF list; Dave Hood; Robert Raszuk; Jamal Hadi Salim
>
> *Subject:* Re: [Sdn] Last call for
> *From: *David Meyer <[email-masked]>
> *Date: *Wednesday, August 6, 2014 11:24 AM
> *To: *"Varma, Eve L (Eve)" <[email-masked]>
> *Cc: *SDN IRTF list <[email-masked]>, Dave Hood <[email-masked]>,
> Robert Raszuk <[email-masked]>, Jamal Hadi Salim <[email-masked]>
> *Subject: *Re: [Sdn] Last call for
> That said, I don't mind citing the ONF's most recent work as opposed to
> the citation we currently have if you folks think that is more appropriate.

---

From: "Varma, Eve L (Eve)" <[email-masked]>
Date: Wed, 6 Aug 2014 17:12:09 +0000

The statements I’m responding to in the thread cite I{E,R}TF.

From: sdn [mailto:[email-masked]] On Behalf Of David Meyer
Sent: Wednesday, August 06, 2014 1:06 PM
To: Varma, Eve L (Eve)
Cc: Jamal Hadi Salim; SDN IRTF list; Ken Gray (kegray); Robert Raszuk; Dave Hood
Subject: Re: [Sdn] Last call for http://www.ietf.org/id/draft-haleplidis-sdnrg-layer-terminology-07.txt

On Wed, Aug 6, 2014 at 9:59 AM, Varma, Eve L (Eve) <[email-masked]<mailto:[email-masked]>> wrote:
Dear all,

Just a very quick comment – a number of organizations are also pay to play (e.g., ITU-T, IEEE, OIF, etc.) for which there are IETF liaison relationships where bi-directional commenting on documents has taken place to mutual benefit.  I’m not aware of any inherent reason why this could not also be done with the ONF.

--dmm

With best regards,
Eve

From: Ken Gray (kegray) [mailto:[email-masked]<mailto:[email-masked]>]
Sent: Wednesday, August 06, 2014 11:34 AM
To: David Meyer; Varma, Eve L (Eve)
Cc: SDN IRTF list; Dave Hood; Robert Raszuk; Jamal Hadi Salim

--dmm

Best regards,
Eve

-----Original Message-----
From: sdn [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of Jamal Hadi Salim
Sent: Wednesday, August 06, 2014 8:31 AM
To: Varma, Eve L (Eve)
Cc: David Meyer; SDN IRTF list; Dave Hood; Robert Raszuk
Subject: Re: [Sdn] Last call for http://www.ietf.org/id/draft-haleplidis-sdnrg-layer-terminology-07.txt

cheers,
jamal

---

From: "Varma, Eve L (Eve)" <[email-masked]>
Date: Wed, 6 Aug 2014 18:24:28 +0000

Hi David,

Sorry, but I also meant to ask about your comment: “That said, I don't mind citing the ONF's most recent work as opposed to the citation we currently have if you folks think that is more appropriate. I'll just mention that there is an  issue with the stability of a citation like [0] in a document that we are standing up as an Informational RFC, so we need to look at that.

[0] https://www.opennetworking.org/images/stories/downloads/sdn-resources/technical-reports/TR_SDN_ARCH_1.0_06062014.pdf”

I suggest it be listed in the same way as, or be a straight substitution for, the reference that’s already in the draft, which is reproduced below.
[ONFArch]  Open Networking Foundation, "SDN Architecture Overview",
              December 2013,
              <https://www.opennetworking.org/images/stories/downloads/
              sdn-resources/technical-reports/SDN-architecture-overview-
              1.0.pdf>.

Best regards,
Eve

From: sdn [mailto:[email-masked]] On Behalf Of David Meyer
Sent: Wednesday, August 06, 2014 11:25 AM
To: Varma, Eve L (Eve)
Cc: SDN IRTF list; Dave Hood; Robert Raszuk; Jamal Hadi Salim
Subject: Re: [Sdn] Last call for http://www.ietf.org/id/draft-haleplidis-sdnrg-layer-terminology-07.txt

--dmm

Best regards,
Eve

-----Original Message-----
From: sdn [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of Jamal Hadi Salim
Sent: Wednesday, August 06, 2014 8:31 AM
To: Varma, Eve L (Eve)
Cc: David Meyer; SDN IRTF list; Dave Hood; Robert Raszuk
Subject: Re: [Sdn] Last call for http://www.ietf.org/id/draft-haleplidis-sdnrg-layer-terminology-07.txt

cheers,
jamal

---

From: "Ken Gray (kegray)" <[email-masked]>
Date: Wed, 6 Aug 2014 18:29:41 +0000

My quick comment.  I personally wouldn't paint them all with the same brush.

For example, the IEEE can feasibly be individual membership which doesn't follow employment, whereas the ONF individual membership is a fantasy (unless you like paying 30K a year).  All the literature points to "member companies".  On the surface, sure …all paid.

As to the open nature of the document to be cited, I'll leave that to the reader … I got to paragraph three where it says the architecture is agnostic to protocols across the interfaces but the only candidate protocols so far for interfaces are OF …and had to decide whether to read further.  Brings up a fundamental question in MY mind whether a protocol-independent architecture can be hatched in such a protocol-centric environment without the direct input of other SDOs (who probably "own" the other protocols).

From: <Varma>, "Eve L (Eve)" <[email-masked]<mailto:[email-masked]>>
Date: Wednesday, August 6, 2014 12:59 PM
To: Ken Gray <[email-masked]<mailto:[email-masked]>>, David Meyer <[email-masked]<mailto:[email-masked]>>
Cc: SDN IRTF list <[email-masked]<mailto:[email-masked]>>, Dave Hood <[email-masked]<mailto:[email-masked]>>, Robert Raszuk <[email-masked]<mailto:[email-masked]>>, Jamal Hadi Salim <[email-masked]<mailto:[email-masked]>>
Subject: RE: [Sdn] Last call for http://www.ietf.org/id/draft-haleplidis-sdnrg-layer-terminology-07.txt

Dear all,

With best regards,
Eve

--dmm

Best regards,
Eve

-----Original Message-----
From: sdn [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of Jamal Hadi Salim
Sent: Wednesday, August 06, 2014 8:31 AM
To: Varma, Eve L (Eve)
Cc: David Meyer; SDN IRTF list; Dave Hood; Robert Raszuk
Subject: Re: [Sdn] Last call for http://www.ietf.org/id/draft-haleplidis-sdnrg-layer-terminology-07.txt

cheers,
jamal

---

From: Robert Raszuk <[email-masked]>
Date: Wed, 6 Aug 2014 20:42:59 +0200

Eve,

> bi-directional commenting on documents has taken place to mutual benefit

IETF/IRTF being open forums and IETF/IRTF WGs mailing lists being open
everyone can provide input to documents at all stages of them.

ONF is not open (for a reason) hence non of the individuals (except
special sponsoring of those politically correct once has taken place)
can provide any input during the process.

But let me try and let's see what as a end result of my input will end
up in your architcture document for SDN:

- please kindly consider other then protocols OFC & OFS as a means to
program network elements namely FORCES as well as I2RS

- please kindly include for basic architecture completeness
description of protocol or protocols to exchange RDB content between
different administration domains

- please kindly include detail description of RIB and FIB analogy of
today's network elements in the new proposed architecture

- please kindly enhance L2 focused and highly incomplete or obsolete
list of  of autonomous functions a data plane element may run without
any tie into remote controller. Current set of "LLDP, STP, BFD or
ICMP" is far from sufficient or exhaustive

- please kindly modify your document from being so narrow and L2
centric into being L3 centric and include basic elements of route
resoultion, recursion or LPM

That's just tiny, but a start of input. Let's see how this will be
reflected in the document before this or for that matter any IETF or
IRTF WG will spend more time on both on the lists as well as during WG
meetings.

Regards,
R.

On Wed, Aug 6, 2014 at 6:59 PM, Varma, Eve L (Eve)
<[email-masked]> wrote:
> From: David Meyer <[email-masked]>
> To: "Varma, Eve L (Eve)" <[email-masked]>
> Cc: SDN IRTF list <[email-masked]>, Dave Hood <[email-masked]>, Robert
> Raszuk <[email-masked]>, Jamal Hadi Salim <[email-masked]>
> On Wed, Aug 6, 2014 at 6:30 AM, Varma, Eve L (Eve)
> are interested in commenting (just like anyone else), but not the other way.
> As a result, I{E,R}TF participants have no means in which to provide input
> to the document(s) you cite. This is a crucial distinction and one that goes
> to the core of how the I{E,R}TF operates and how we build documents (and for
> that matter, how we self-govern).
>
>
>
> citation we currently have if you folks think that is more appropriate. I'll
> just mention that there is an  issue with the stability of a citation like
> [0] in a document that we are standing up as an Informational RFC, so we
> need to look at that.
>
>
>
> --dmm
>
>
>
> [0]
> them very low profile and doesnt cover the whole range covered by the draft.
> It is amusing that some of the folks contributing to that document show up
> at the IETF and SDNRG and never once commented on the current draft
> document.
>
> cheers,
> jamal
>

---

From: "Varma, Eve L (Eve)" <[email-masked]>
Date: Wed, 6 Aug 2014 18:54:26 +0000

Robert,

The ONF SDN Architecture document is not "my" architecture document, and I am not speaking with an ONF "hat" on. I follow the work of multiple standards and industry forums where SDN concepts are being progressed, and find there to be value in reading the wide range of documentation that is available.  If there is interest in opening technical communications regarding the document in question, I suggest using the IETF liaison process articulated in RFCs 4053 and 4052. 

Best regards,
Eve 

-----Original Message-----
From: sdn [mailto:[email-masked]] On Behalf Of Robert Raszuk
Sent: Wednesday, August 06, 2014 2:43 PM
To: Varma, Eve L (Eve)
Cc: David Meyer; Jamal Hadi Salim; SDN IRTF list; Ken Gray (kegray); Dave Hood
Subject: Re: [Sdn] Last call for http://www.ietf.org/id/draft-haleplidis-sdnrg-layer-terminology-07.txt

Eve,

> bi-directional commenting on documents has taken place to mutual 

IETF/IRTF being open forums and IETF/IRTF WGs mailing lists being open everyone can provide input to documents at all stages of them.

ONF is not open (for a reason) hence non of the individuals (except special sponsoring of those politically correct once has taken place) can provide any input during the process.

But let me try and let's see what as a end result of my input will end up in your architcture document for SDN:

- please kindly consider other then protocols OFC & OFS as a means to program network elements namely FORCES as well as I2RS

- please kindly include for basic architecture completeness description of protocol or protocols to exchange RDB content between different administration domains

- please kindly include detail description of RIB and FIB analogy of today's network elements in the new proposed architecture

- please kindly enhance L2 focused and highly incomplete or obsolete list of  of autonomous functions a data plane element may run without any tie into remote controller. Current set of "LLDP, STP, BFD or ICMP" is far from sufficient or exhaustive

- please kindly modify your document from being so narrow and L2 centric into being L3 centric and include basic elements of route resoultion, recursion or LPM

That's just tiny, but a start of input. Let's see how this will be reflected in the document before this or for that matter any IETF or IRTF WG will spend more time on both on the lists as well as during WG meetings.

Regards,
R.

On Wed, Aug 6, 2014 at 6:59 PM, Varma, Eve L (Eve) <[email-masked]> wrote:
> Dear all,
>
>
>
> Just a very quick comment – a number of organizations are also pay to 
> play (e.g., ITU-T, IEEE, OIF, etc.) for which there are IETF liaison 
> relationships where bi-directional commenting on documents has taken 
> place to mutual benefit.  I’m not aware of any inherent reason why 
> this could not also be done with the ONF.
>
>
>
> With best regards,
>
> Eve
>
>
>
> Cc: SDN IRTF list <[email-masked]>, Dave Hood <[email-masked]>, 
> I would suggest to focus examination of the document towards its 
> technical content - entering into a debate re whether or not the 
> material is ONF biased is subjective (as we can see from the 
> differences in opinion expressed in the discussion to date).
>
>
>
> Folks need also to realize the deep and fundamental differences 
> between an open participation organization like the I{E,R}TF and the 
> ONF. The ONF is pay-to-play, which means among other things that 
> information flow is by definition uni-directional. In particular, 
> information can flow the ONF to the I{E,R}TF (cf your comments above), 
> in those cases in which ONF members are interested in commenting (just like anyone else), but not the other way.
> As a result, I{E,R}TF participants have no means in which to provide 
> input to the document(s) you cite. This is a crucial distinction and 
> one that goes to the core of how the I{E,R}TF operates and how we 
> build documents (and for that matter, how we self-govern).
>
>
>
> That said, I don't mind citing the ONF's most recent work as opposed 
> to the citation we currently have if you folks think that is more 
> appropriate. I'll just mention that there is an  issue with the 
> stability of a citation like [0] in a document that we are standing up 
> as an Informational RFC, so we need to look at that.
>
>
>
> --dmm
>
>
>
> [0]
> approaches, it gives them very low profile and doesnt cover the whole range covered by the draft.
> It is amusing that some of the folks contributing to that document 
> show up at the IETF and SDNRG and never once commented on the current 
> draft document.
>
> cheers,
> jamal
>
>> technology-impartial and business-agnostic manner.", it is reasonable 
>> to consider the architectural concepts in the SDN Architecture 
>> document that Dave cited.  A read of this document will clearly 
>> illustrate that its intent is far from trying to indicate that SDN=ONF.
>>
>> "SDN Architecture Overview", December 2013, as one of the references 
>> in the draft.  However, the document Dave cited is more recent and 
>> provides a more rigorous treatment of the architecture, including associated terminology.
>>> http://www.ietf.org/id/draft-haleplidis-sdnrg-layer-terminology-07.t
>>> x
>>> t
>>>
>>>
>>>
>>> Folks,
>>>
>>>
>>>
>>> http://www.ietf.org/id/draft-haleplidis-sdnrg-layer-terminology-07.t
>>> x
>>> t
>>>
>>>

---

From: Robert Raszuk <[email-masked]>
Date: Wed, 6 Aug 2014 21:03:07 +0200

Eve,

I fully realized that this doc is not your individual work. Being once
part of ONF I do know how that thing is structured and how it works
behind the scene.

However you and Dave asked for constructive input hence I provided one.

What you do with it is completely up to you .. I expect not much will
happen with any comments which do not praise OF are based on real life
networking experience and are aim to deliver something which is
practical and real vs continue the dead end academic experiment.

Best,
r.

---

From: STUART VENTERS <[email-masked]>
Date: Wed, 6 Aug 2014 21:01:41 +0000

My 2 cents worth:

A good read, but may conflict with some views of the essence of SDN.

The conflict shows up in the abstract in this sentence which identifies a problem which seems more a feature.
However, there is increasing confusion
   as to what exactly SDN is, what is the layer structure in an SDN
   architecture and how do layers interface with each other.

Perhaps I’m reading too much specificity into the above sentence, but I was hoping the next words would be something like

This is as it should be because the essence of SDN is to allow new and creative network programming unbounded by particular frameworks and layer models.  A standards body can provide a framework to make it easier for a user to implement an SDN for a specific application, but no framework can ever be the sole layer structure or interface method for SDN.  Frameworks are merely tools a user can pick and choose from to achieve his goals.  Before SDN, in many cases the user could not pick because these tools were bundled in with application specific hardware.

The IETF is expert at building routers.  This is an area where bundling is prevalent resulting in a take it all or leave it situation for users.  Few users can build their own, whole router but could benefit from having the ability to pick and choose which parts of a router to use or replace for their own needs.  SDN provides the promise to do this, but to make this promise practical requires frameworks and standard methods for hooking router pieces together. What follows is focused on tools for that task.  Other tasks, like wireless control plane unbundling may or may not be best served by this framework

Originally, Openflow was a tool to permit researchers to use standard packet forwarding hardware but do their own thing for the control plane.   This anti one size fits all approach seems the main draw for SDN.   Without this central theme, it is just an opportunity to make yet another management framework.

From: sdn [mailto:[email-masked]] On Behalf Of David Meyer
Sent: Friday, August 01, 2014 1:50 PM
To: SDN IRTF list
Subject: [Sdn] Last call for http://www.ietf.org/id/draft-haleplidis-sdnrg-layer-terminology-07.txt

Folks,

Thanks,

--dmm

---

From: "Varma, Eve L (Eve)" <[email-masked]>
Date: Wed, 6 Aug 2014 23:18:50 +0000

Hi,

As an additional update re references; you may wish to add:
ITU-T SG 13 Rec. Y.3300, Framework of software-defined networking, which was approved June 6, 2014.
http://www.itu.int/ITU-T/recommendations/rec.aspx?rec=12168

Best regards,
Eve

From: sdn [mailto:[email-masked]] On Behalf Of Varma, Eve L (Eve)
Sent: Wednesday, August 06, 2014 2:24 PM
To: David Meyer
Cc: SDN IRTF list; Dave Hood; Robert Raszuk; Jamal Hadi Salim
Subject: Re: [Sdn] Last call for http://www.ietf.org/id/draft-haleplidis-sdnrg-layer-terminology-07.txt

Hi David,

Best regards,
Eve

--dmm

Best regards,
Eve

-----Original Message-----
From: sdn [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of Jamal Hadi Salim
Sent: Wednesday, August 06, 2014 8:31 AM
To: Varma, Eve L (Eve)
Cc: David Meyer; SDN IRTF list; Dave Hood; Robert Raszuk
Subject: Re: [Sdn] Last call for http://www.ietf.org/id/draft-haleplidis-sdnrg-layer-terminology-07.txt

cheers,
jamal

---

From: Hesham ElBakoury <[email-masked]>
Date: Thu, 7 Aug 2014 00:01:28 +0000

Which spec describes the standard SDN architecture, the ITU SDN reference architecture or ONF SDN architecture ?

From: sdn [mailto:[email-masked]] On Behalf Of Varma, Eve L (Eve)
Sent: Wednesday, August 06, 2014 4:19 PM
To: Varma, Eve L (Eve); David Meyer
Cc: SDN IRTF list; Dave Hood; Robert Raszuk; Jamal Hadi Salim
Subject: Re: [Sdn] Last call for http://www.ietf.org/id/draft-haleplidis-sdnrg-layer-terminology-07.txt

Hi,

Best regards,
Eve

Hi David,

Best regards,
Eve

--dmm

Best regards,
Eve

-----Original Message-----
From: sdn [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of Jamal Hadi Salim
Sent: Wednesday, August 06, 2014 8:31 AM
To: Varma, Eve L (Eve)
Cc: David Meyer; SDN IRTF list; Dave Hood; Robert Raszuk
Subject: Re: [Sdn] Last call for http://www.ietf.org/id/draft-haleplidis-sdnrg-layer-terminology-07.txt

cheers,
jamal

---

From: "Varma, Eve L (Eve)" <[email-masked]>
Date: Thu, 7 Aug 2014 00:08:15 +0000

Just adding to the list of references in the draft.  The summary of Y.3300 reads:

Recommendation ITU-T Y.3300 describes the framework of software-defined networking (SDN) to specify fundamentals of SDN. The definitions, objectives, high-level capabilities, requirements and high-level architecture of SDN are addressed in this Recommendation. Appendix I describes areas for further consideration in SDN standardization.

From: Hesham ElBakoury [mailto:[email-masked]]
Sent: Wednesday, August 06, 2014 8:01 PM
To: Varma, Eve L (Eve); David Meyer
Cc: SDN IRTF list; Dave Hood; Robert Raszuk; Jamal Hadi Salim
Subject: RE: [Sdn] Last call for http://www.ietf.org/id/draft-haleplidis-sdnrg-layer-terminology-07.txt

Hi,

Best regards,
Eve

Hi David,

Best regards,
Eve

--dmm

Best regards,
Eve

-----Original Message-----
From: sdn [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of Jamal Hadi Salim
Sent: Wednesday, August 06, 2014 8:31 AM
To: Varma, Eve L (Eve)
Cc: David Meyer; SDN IRTF list; Dave Hood; Robert Raszuk
Subject: Re: [Sdn] Last call for http://www.ietf.org/id/draft-haleplidis-sdnrg-layer-terminology-07.txt

cheers,
jamal

---

From: "Ken Gray (kegray)" <[email-masked]>
Date: Thu, 7 Aug 2014 01:53:20 +0000

Hate to be a wet blanket here but there's an assumption being made that raises a bunch of questions (for me): Does it have to be a standards body that thinks it's relevant in this space?  I mean, who judges relevance here or authority for that matter?  Why be elitist …there's a lot of really good individual opinion and research out there on the topic.

Surely, to be fair,  we can reference blogs, books and on-line comics on the topic (no smirking, there probably is one – if not, great idea!).

The one difference I can see is that, if I as an individual say I have an opinion, you would almost certainly tell me to write a draft … not reference my blog, book or comic, so that you can comment on it, refute it or ask for more information and NOT accept it unless I allow you to make input and we reach consensus.

Double standard?

From: <Varma>, "Eve L (Eve)" <[email-masked]<mailto:[email-masked]>>
Date: Wednesday, August 6, 2014 8:08 PM
To: Hesham ElBakoury <[email-masked]<mailto:[email-masked]>>, David Meyer <[email-masked]<mailto:[email-masked]>>
Cc: SDN IRTF list <[email-masked]<mailto:[email-masked]>>, Dave Hood <[email-masked]<mailto:[email-masked]>>, Robert Raszuk <[email-masked]<mailto:[email-masked]>>, Jamal Hadi Salim <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Sdn] Last call for http://www.ietf.org/id/draft-haleplidis-sdnrg-layer-terminology-07.txt

Hi,

Best regards,
Eve

Hi David,

Best regards,
Eve

--dmm

Best regards,
Eve

-----Original Message-----
From: sdn [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of Jamal Hadi Salim
Sent: Wednesday, August 06, 2014 8:31 AM
To: Varma, Eve L (Eve)
Cc: David Meyer; SDN IRTF list; Dave Hood; Robert Raszuk
Subject: Re: [Sdn] Last call for http://www.ietf.org/id/draft-haleplidis-sdnrg-layer-terminology-07.txt

cheers,
jamal

---

From: Kostas Pentikousis <[email-masked]>
Date: Thu, 7 Aug 2014 11:36:47 +0200

Dear Eve, all,

| I note that you have cited [ONFArch]  Open Networking Foundation, "SDN
| Architecture Overview", December 2013, as one of the references in the
| draft.  However, the document Dave cited is more recent and provides a
| more rigorous treatment of the architecture, including associated
| terminology.  IMHO, at minimum, it should be included in the list of
| references, and the taxonomy be considered prior to last call.

We can certainly add the updated reference. After all, the new document has increased 10-fold in page count during this year.

In order to facilitate our editorial work, would it be possible to provide a paragraph or so which relates the work in this new reference (call it [ONFArchIssue1]) to this draft? For example:

OLD text:

   We observe that the view presented in this document is quite well-
   aligned with recently published work by the ONF; see [ONFArch].  A
   key difference, however, is that the ONF architecture does not
   include the management plane in its scope.

NEW text:

<your proposal here>

Out of curiosity, we note that the only reference to the work done in the IRTF is to the SDNRG web site (i.e. reference [38]). Yet, according to the document history on p. 67, the existence of this draft should have been known to at least some contributing authors. Any particular reason for omitting a reference to draft-haleplidis-sdnrg-layer-terminology in section 7.1?

Best regards,

Kostas and Evangelos

---

From: Dave Hood <[email-masked]>
Date: Thu, 7 Aug 2014 13:46:32 +0000

I would suggest that the architecture overview be deleted. It was known to be tentative at the time of publication, and the desired page limit necessitated cutting out flesh and bone, as well as fat (management, for example). And, although the overview document is on the list to be updated in line with the published architecture, I believe there is no active work on it.

The old text would suffice if the last sentence were deleted.

Dave

-----Original Message-----
From: sdn [mailto:[email-masked]] On Behalf Of Kostas Pentikousis
Sent: Thursday, August 07, 2014 2:37 AM
To: Varma, Eve L (Eve)
Cc: David Meyer; SDN IRTF list; Haleplidis Evangelos
Subject: Re: [Sdn] Last call for http://www.ietf.org/id/draft-haleplidis-sdnrg-layer-terminology-07.txt

Dear Eve, all,

OLD text:

NEW text:

<your proposal here>

Best regards,

Kostas and Evangelos

---

From: David Meyer <[email-masked]>
Date: Thu, 7 Aug 2014 08:04:39 -0700

On Thu, Aug 7, 2014 at 6:46 AM, Dave Hood <[email-masked]> wrote:

> I would suggest that the architecture overview be deleted. It was known to
> be tentative at the time of publication, and the desired page limit
> necessitated cutting out flesh and bone, as well as fat (management, for
> example). And, although the overview document is on the list to be updated
> in line with the published architecture, I believe there is no active work
> on it.
>

To which document are you referring?

--dmm

> We can certainly add the updated reference. After all, the new document
> has increased 10-fold in page count during this year.
>
> In order to facilitate our editorial work, would it be possible to provide
> a paragraph or so which relates the work in this new reference (call it
> [ONFArchIssue1]) to this draft? For example:
>
> OLD text:
>
> Out of curiosity, we note that the only reference to the work done in the
> IRTF is to the SDNRG web site (i.e. reference [38]). Yet, according to the
> document history on p. 67, the existence of this draft should have been
> known to at least some contributing authors. Any particular reason for
> omitting a reference to draft-haleplidis-sdnrg-layer-terminology in section
> 7.1?
>
> Best regards,
>
> Kostas and Evangelos
>

---

From: "Varma, Eve L (Eve)" <[email-masked]>
Date: Thu, 7 Aug 2014 15:05:31 +0000

Hi,

I agree with the suggestion to reference the Architecture, versus Architecture Overview, document.  

Just a quick note re the referencing question; I suspect this was more related to, when citing a specific I{E,R}TF document, the practice of referencing RFCs versus drafts.

Best regards,
Eve

-----Original Message-----
From: Dave Hood [mailto:[email-masked]] 
Sent: Thursday, August 07, 2014 9:47 AM
To: Kostas Pentikousis; Varma, Eve L (Eve)
Cc: David Meyer; SDN IRTF list; Haleplidis Evangelos
Subject: RE: [Sdn] Last call for http://www.ietf.org/id/draft-haleplidis-sdnrg-layer-terminology-07.txt

Dave

-----Original Message-----
From: sdn [mailto:[email-masked]] On Behalf Of Kostas Pentikousis
Sent: Thursday, August 07, 2014 2:37 AM
To: Varma, Eve L (Eve)
Cc: David Meyer; SDN IRTF list; Haleplidis Evangelos
Subject: Re: [Sdn] Last call for http://www.ietf.org/id/draft-haleplidis-sdnrg-layer-terminology-07.txt

Dear Eve, all,

OLD text:

NEW text:

<your proposal here>

Best regards,

Kostas and Evangelos

---

From: Dave Hood <[email-masked]>
Date: Thu, 7 Aug 2014 15:10:17 +0000

Replace

With

   [ONFArch]  Open Networking Foundation, "SDN Architecture",

              June 2014,

              <https://www.opennetworking.org/images/stories/downloads/sdn-resources/technical-reports/TR_SDN_ARCH_1.0_06062014.pdf>.

And delete the final sentence in the old text, so that it reads

We observe that the view presented in this document is quite well-
   aligned with recently published work by the ONF; see [ONFArch].

Dave

From: David Meyer [mailto:[email-masked]]
Sent: Thursday, August 07, 2014 8:05 AM
To: Dave Hood
Cc: Kostas Pentikousis; Varma, Eve L (Eve); SDN IRTF list; Haleplidis Evangelos
Subject: Re: [Sdn] Last call for http://www.ietf.org/id/draft-haleplidis-sdnrg-layer-terminology-07.txt

On Thu, Aug 7, 2014 at 6:46 AM, Dave Hood <[email-masked]<mailto:[email-masked]>> wrote:
I would suggest that the architecture overview be deleted. It was known to be tentative at the time of publication, and the desired page limit necessitated cutting out flesh and bone, as well as fat (management, for example). And, although the overview document is on the list to be updated in line with the published architecture, I believe there is no active work on it.

--dmm

Dave

-----Original Message-----
From: sdn [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of Kostas Pentikousis
Sent: Thursday, August 07, 2014 2:37 AM
To: Varma, Eve L (Eve)
Cc: David Meyer; SDN IRTF list; Haleplidis Evangelos
Subject: Re: [Sdn] Last call for http://www.ietf.org/id/draft-haleplidis-sdnrg-layer-terminology-07.txt
Dear Eve, all,

OLD text:

NEW text:

<your proposal here>

Best regards,

Kostas and Evangelos

---

From: "Varma, Eve L (Eve)" <[email-masked]>
Date: Thu, 7 Aug 2014 15:10:22 +0000

Hi David,

Replacing:
Open Networking Foundation, "SDN Architecture Overview", December 2013

with
Open Networking Foundation, “SDN Architecture, Issue 1”, June 2014

Best regards,
Eve

From: David Meyer [mailto:[email-masked]]
Sent: Thursday, August 07, 2014 11:05 AM
To: Dave Hood
Cc: Kostas Pentikousis; Varma, Eve L (Eve); SDN IRTF list; Haleplidis Evangelos
Subject: Re: [Sdn] Last call for http://www.ietf.org/id/draft-haleplidis-sdnrg-layer-terminology-07.txt

--dmm

Dave

-----Original Message-----
From: sdn [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of Kostas Pentikousis
Sent: Thursday, August 07, 2014 2:37 AM
To: Varma, Eve L (Eve)
Cc: David Meyer; SDN IRTF list; Haleplidis Evangelos
Subject: Re: [Sdn] Last call for http://www.ietf.org/id/draft-haleplidis-sdnrg-layer-terminology-07.txt
Dear Eve, all,

OLD text:

NEW text:

<your proposal here>

Best regards,

Kostas and Evangelos

---

From: "Varma, Eve L (Eve)" <[email-masked]>
Date: Thu, 7 Aug 2014 15:13:03 +0000

I see Dave and my emails crossed, and he already responded with more clarity.

From: sdn [mailto:[email-masked]] On Behalf Of Varma, Eve L (Eve)
Sent: Thursday, August 07, 2014 11:10 AM
To: David Meyer; Dave Hood
Cc: Kostas Pentikousis; SDN IRTF list; Haleplidis Evangelos
Subject: Re: [Sdn] Last call for http://www.ietf.org/id/draft-haleplidis-sdnrg-layer-terminology-07.txt

Hi David,

Replacing:

with

Best regards,
Eve

--dmm

Dave

-----Original Message-----
From: sdn [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of Kostas Pentikousis
Sent: Thursday, August 07, 2014 2:37 AM
To: Varma, Eve L (Eve)
Cc: David Meyer; SDN IRTF list; Haleplidis Evangelos
Subject: Re: [Sdn] Last call for http://www.ietf.org/id/draft-haleplidis-sdnrg-layer-terminology-07.txt
Dear Eve, all,

OLD text:

NEW text:

<your proposal here>

Best regards,

Kostas and Evangelos

---

From: David Meyer <[email-masked]>
Date: Thu, 7 Aug 2014 08:24:27 -0700

>  I see Dave and my emails crossed, and he already responded with more

Got it, thx. --dmm

>
>
> *From:* sdn [mailto:[email-masked]] *On Behalf Of *Varma, Eve L
> (Eve)
> *Sent:* Thursday, August 07, 2014 11:10 AM
> *To:* David Meyer; Dave Hood
> *Cc:* Kostas Pentikousis; SDN IRTF list; Haleplidis Evangelos
>
> *From:* David Meyer [mailto:[email-masked] <[email-masked]>]
> *Sent:* Thursday, August 07, 2014 11:05 AM
> *To:* Dave Hood
> *Cc:* Kostas Pentikousis; Varma, Eve L (Eve); SDN IRTF list; Haleplidis
> Evangelos

---

From: LUIS MIGUEL CONTRERAS MURILLO <[email-masked]>
Date: Sat, 9 Aug 2014 09:53:47 +0000

Dear authors, all,

Please find here below some comments, questions and suggestions. Hope you can find them constructive and useful.

.- Abstract: in the abstract it is mentioned that network programmability refers to initializing the network among other capabilities. Typically the initialization is done manually, not through network programming capabilities. What kind of initialization is here referred to?

.- Abstract: at the end of the paragraph you state that this draft is “…based on relevant peer-reviewed literature and documents in the RFC series.” Does it prevent for inputs from other SDOs or organizations? Apart from the discussion in the mailing list about ONF’s SDN architecture document, other potential inputs could come from other bodies, like IEEE’s LLDP, for instance. Along the text there are references to other bodies (ITU, ONF, ETSI, etc). If the intention of the document is to focus on peer-reviewed literature and IETF/IRTF outcomes, maybe it would be more clear if all these other references are described apart, as a subsection for each specific chapter, as pointers to other activities in other bodies. Consider this just as a suggestion for text clarity.

.- Terminology, respect to Network Device: there you talk about packet manipulation. What kind of manipulation are you considering here? Does it mean some kind of packet changes in its structure (adding/deleting/substituting some header field) and/or content (actions on the payload)? If so, what plane is in charge of such manipulation? I guess the forwarding plane could execute some kind of header treatment, but more intrusive changes probably would be implemented through control plane. In any case, even the header treatment would be instructed by control plane but executed by forwarding plane, wouldn’t be? Or are you considering specific applications/services for this?

.- Terminology, Application: just for clarification, as far as I understood, the only difference between service and application is that the former can be consumed by other services or applications, whereas the application cannot be consumed by anyone. Is that correct?

.- Terminology, Management plane: here you mention that the MP is “…responsible for monitoring, configuring and maintaining one or more network devices”. I would add also “… or parts of network devices”, having in mind hybrid behaviors (I mean, devices that can work in conventional and SDN modes simultaneously).

.- Terminology: description of NSAL is missing, for completeness (the rest of planes/layers are here described except NSAL).

.- Terminology: CAL and MAL are described as providing access to southbound interfaces for the control and management functions respectively. I wonder if DAL could be characterized as the layer providing access to the northbound interface for hardware resources.

.- Section 3.1. Physical vs Virtual resources. According to the description in the text, it seems that physical resource is associated to hardware, while virtual resource is associated to software (e.g. like the Open vSwitch). However a virtual resource or device could be built on hardware with an abstraction layer on top, like the DAL layer described here.

.- Section 3.1, bullet Forwarding plane. It is mentioned that the FP changes the packets. Linked to my comment above, it would be required to clarify this if the forwarding plane executes the changes but the changes are instructed from the control plane.

.- Section 3.2. Not only L2 or above devices could be considered, also L1 devices like optical or microwave nodes could be in scope.

.- Section 3.2. You mention “… routing transformation”. This is not clear to me. Please, could you elaborate a bit more?

.- Section 3.3, paragraph starting with “Communication between control planes …” . Considering that orchestration is not part of the document, does this paragraph make sense in the document? I'm not saying that this is incorrect, just wondering if this is related to orchestration of control planes.

.- Section 3.3. You mention the possibility for the CP of supporting more than one CPSIs. Are them considered to operate over the same resource? or for accessing different resources?

.- Section 3.4. It seems to be an orphan sentence starting with “ explores…”. Maybe reference [SDNNFV] should start the sentence.

.- Section 3.4. It is stated that the MPSI normally is not a time-critical interface. However If fault management and monitoring are tasks of the MPSI (as examples of functions provided in the text), then time criticality should be considered also for this interface. Then I would suggest to rephrase to: some of the functions of MPSI ..., emphasizing the criticality, farther than mentioning “normally”.

.- Section 3.4. Mention to support of more that MPSI. The same comment to CPSI applies here.

.- Section 3.4. Management applications. The examples provided in the text (network monitoring, fault detection, recovery) In my opinion are certainly services consumed by upper layers or other applications. Monitoring is for sure consumed by upper layer applications.

.- Section 4.1. “The ForCES protocol designed …” -> “The ForCES protocol has been designed …”

.- Section 4.4. I2RS. Probably it is worthy to refer here that by the usage of I2RS some of the applications of the control plane then become consumed (i.e., become services).

.- Section 4.6. Last sentence. Mention to “domain control entities”. This concept is not introduced before. What does it refer to in the context of this document?

.- Section 8. Security Considerations. As far as relationship between layers is established, some comments about security should be considered here. Such relationship should be properly secured (including authorization, authentication, etc). For instance, the way in which devices accept instructions from applications. Or potential misbehavior from the devices once instructions are applied on them. At least some risks should be listed, in my opinion.

Thanks,

Best regards

Luis

De: sdn [mailto:[email-masked]] En nombre de David Meyer
Enviado el: viernes, 01 de agosto de 2014 20:50
Para: SDN IRTF list
Asunto: [Sdn] Last call for http://www.ietf.org/id/draft-haleplidis-sdnrg-layer-terminology-07.txt

Folks,

Thanks,

--dmm

________________________________

Este mensaje y sus adjuntos se dirigen exclusivamente a su destinatario, puede contener información privilegiada o confidencial y es para uso exclusivo de la persona o entidad de destino. Si no es usted. el destinatario indicado, queda notificado de que la lectura, utilización, divulgación y/o copia sin autorización puede estar prohibida en virtud de la legislación vigente. Si ha recibido este mensaje por error, le rogamos que nos lo comunique inmediatamente por esta misma vía y proceda a su destrucción.

The information contained in this transmission is privileged and confidential information intended only for the use of the individual or entity named above. If the reader of this message is not the intended recipient, you are hereby notified that any dissemination, distribution or copying of this communication is strictly prohibited. If you have received this transmission in error, do not read it. Please immediately reply to the sender that you have received this communication in error and then delete it.

Esta mensagem e seus anexos se dirigem exclusivamente ao seu destinatário, pode conter informação privilegiada ou confidencial e é para uso exclusivo da pessoa ou entidade de destino. Se não é vossa senhoria o destinatário indicado, fica notificado de que a leitura, utilização, divulgação e/ou cópia sem autorização pode estar proibida em virtude da legislação vigente. Se recebeu esta mensagem por erro, rogamos-lhe que nos o comunique imediatamente por esta mesma via e proceda a sua destruição